#pragma once

#include <util/digest/numeric.h>

namespace NSrvKernel {
    template <typename T, typename = std::enable_if<std::is_scalar_v<T>>>
    struct TNumericHash {
        inline ui64 operator()(T t) const noexcept {
            return NumericHash(t);
        }
    };
}
